%global src_name gnome_shell___slave_by_half_left-d479pyc.zip
%global theme_name slave
%global theme SLAVE
%global theme_zip %{theme}-3.2


Name:           gnome-shell-theme-%{theme_name}
Version:        3.2
Release:        1%{?dist}
Summary:   	The %{theme} gnome-shell theme  
Group:          User Interface/Desktops     

License:        GPLv3
URL:            http://half-left.deviantart.com/art/GNOME-Shell-SLAVE-254075556
Source0:        http://www.deviantart.com/download/254075556/%{src_name}

Requires:       gnome-shell-extensions-user-theme
Requires:       gnome-shell >= 3.2
BuildArch:      noarch

%description
The %{theme} gnome-shell theme created by half_left for gnome-shell 3.2

%prep
%setup -q -c 
unzip %{theme_zip}.zip

%install
mkdir -p -m755 $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}/gnome-shell

# put the theme files into some data dir
cp -r %{theme_zip}/* $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}/.

# delete backup files (*~)
find $RPM_BUILD_ROOT -name *~ -type f -print | xargs /bin/rm -f

# remove LICENSE from BUILDROOT
find $RPM_BUILD_ROOT -name LICENSE -type f -print | xargs /bin/rm -f


%files
%doc %{theme_zip}/gnome-shell/LICENSE
%dir %{_datadir}/themes/%{theme}
%{_datadir}/themes/%{theme}/*


%changelog
* Thu Jun 09 2011 Tim Lauridsen <timlau@fedoraproject.org> 3.2-1
- initial rpm build for Gnome 3.2
